/***************************************************************************
                          AudioItem.h  -  description
                             -------------------
    begin                : Fri Nov 16 2001
    copyright            : (C) 2001 by Alex Podolsky
    email                : alexpod@users.sf.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef AUDIOITEM_H
#define AUDIOITEM_H

#include <qlistview.h>
#include "CdboFileItem.h"

class AudioItem : public CdboFileItem{

public:
	AudioItem(QListView * parent, QString path);
	AudioItem(CdboFileItem * parent, QString path);
	~AudioItem();
	
	void setFileName(QString n);
	void setFilePath(QString p);
	QString getLength();
	void setLength(QString l);
	QString getType();
	void setType(QString t);
	inline int getTrackPos() { return trackPos; }
	void setTrackPos(int trackPos);

private:
	int trackPos;
};
#endif
